Skip to content
Docs
Roles

Revoke role from group

Revoke role from group

client.zones.groups.roles.remove(stringroleID, RoleRemoveParams { zoneId, groupId, scope_id, scope_type } params, RequestOptionsoptions?): void
DELETE/zones/{zoneId}/groups/{groupId}/roles/{roleId}

Revokes a role from the group. Provide the same (scope_type, scope_id) pair the grant was created with, or omit both to revoke the unscoped grant.

ParametersExpand Collapse
roleID: string
params: RoleRemoveParams { zoneId, groupId, scope_id, scope_type }
zoneId: string

Path param: Zone ID

groupId: string

Path param: Group ID

scope_id?: string

Query param: Scope target of the grant to revoke. Provide together with scope_type.

minLength1
scope_type?: string

Query param: Scope kind of the grant to revoke. Provide together with scope_id.

minLength1

Revoke role from group

import KeycardAPI from '@keycardai/api';

const client = new KeycardAPI({
  apiKey: process.env['KEYCARD_API_API_KEY'], // This is the default and can be omitted
});

await client.zones.groups.roles.remove('roleId', { zoneId: 'zoneId', groupId: 'groupId' });
Returns Examples